Skip to main content
GET
/
api
/
reseller
/
v1
/
subusers
/
{id}
Get subuser
curl --request GET \
  --url https://www.eclipseproxy.com/api/reseller/v1/subusers/{id}
{
  "id": "<string>",
  "username": "<string>",
  "email": "<string>",
  "bandwidthBalance": 123,
  "createdAt": "<string>",
  "whitelistIPs": [
    {}
  ],
  "password": "<string>"
}
Fetch details for a specific subuser.

Authentication

Requires a reseller API key. Pass it as Authorization: Bearer YOUR_API_KEY or X-API-Key: YOUR_API_KEY. See Reseller overview.

Path parameters

id
string
required
The subuser username (the full prefixed username, e.g. MYSTORE_user1).

Response

id
string
Internal subuser ID.
username
string
Full prefixed username.
email
string
Subuser email.
bandwidthBalance
number
Remaining bandwidth (MB).
createdAt
string
Creation timestamp (ISO 8601).
whitelistIPs
array
Whitelisted IPs.
password
string
Current subuser password.

Example response

{
  "status": "success",
  "message": "OK",
  "messageCode": "OK",
  "data": {
    "id": "subuser-125",
    "username": "MYSTORE_user1",
    "email": "[email protected]",
    "bandwidthBalance": 85,
    "createdAt": "2026-02-22T11:00:00Z",
    "whitelistIPs": ["192.168.1.1"],
    "password": "GeneratedSecurePassword123!"
  }
}

Errors

  • 401 UNAUTHORIZED: missing or invalid API key
  • 403 NOT_RESELLER: account is not a reseller
  • 404 NOT_FOUND: no subuser with that username